part of 'type_of_road_bloc.dart';

class TypeOfRoadEvent extends Equatable {
  const TypeOfRoadEvent();

  @override
  List<Object> get props => [];
}

class AddTypeOfRoad extends TypeOfRoadEvent {
  final int id;
  final String roadType;
  final String deduction;

  const AddTypeOfRoad({
    required this.id,
    required this.roadType,
    required this.deduction,
  });

  @override
  List<Object> get props => [
        id,
        roadType,
        deduction,
      ];
}

class LoadTypeOfRoad extends TypeOfRoadEvent {
  const LoadTypeOfRoad();

  @override
  List<Object> get props => [];
}
